Subject: Re: bug#35055: 27.0.50; async-shell-command truncates output lines

From: Michael Albinus <[email-masked]>
Date: Wed, 17 Apr 2019 09:22:16 +0200

Juri Linkov <[email-masked]> writes:

Hi Juri,

>> I don't believe there is a conflict. The main use case will be to
>> increase the output width of a shell command, in order not to loose
>> information. People will do this by setting a large value, say
>> 1024. This will be used for both the synchronous and asynchronous case.
>
> The same value will increase the output width of async shell commands,
> but decrease the output width of synchronous shell commands from unlimited.

Yes. You must set a proper value, large enough.

>> And then there's the use case to have a fixed output width for special
>> commands, in order to get a deterministic layout. This won't be applied
>> globally, neither for synchronous nor for asynchronous
>> `shell-command'. Rather, `shell-command-width' will be let-bound.
>>
>> And we have the advantage, that synchronous `shell-command' behaves
>> consistently, for both the local and remote case.
>>
>> So I don't see a problem.
>
> If output truncation will apply to shell-command-on-region,
> especially with its REPLACE arg, this would be a big problem.
> After filtering the buffer contents with a shell command,
> parts of the buffer will be lost.

No. You can always undo the effect on buffer.

Best regards, Michael.